SPL-MODULE-PARAMETERS(5)

NAME
spl-module-parameters - SPL module parameters

DESCRIPTION

Description of the different parameters to the SPL module.

  Module parameters

spl_debug_subsys (ulong)
    Subsystem debugging level mask.

    Default value: ~0.

spl_debug_mask (ulong)
    Debugging level mask.

    Default value: 8 | 10 | 4 | 20 (SD_ERROR | SD_EMERG | SD_WARNING | SD_CONSOLE).

spl_debug_printk (ulong)
    Console printk level mask.

    Default value: 8 | 10 | 4 | 20 (SD_ERROR | SD_EMERG | SD_WARNING | SD_CONSOLE).

spl_debug_mb (int)
    Total debug buffer size.

    Default value: -1.

spl_debug_panic_on_bug (int)
    Panic on BUG

    Use 1 for yes and 0 for no (default).

spl_kmem_cache_expire (uint)
    By age (0x1) or low memory (0x2)

    Default value: 0.

spl_hostid (ulong)
    The system hostid.

    Default value: 0xFFFFFFFF (an invalid hostid!)

spl_hostid_path (charp)
    The system hostid file

    Default value: /etc/hostid.

mutex_spin_max (int)
    Spin a maximum of N times to acquire lock

    Possible values:

         0    Never spin when trying to acquire lock

        -1    Spin until acquired or holder yields without dropping lock

        1-MAX_INT    Spin for N attempts before sleeping for lock

    Default value: 0.

spl_taskq_thread_bind (int)
    Bind taskq thread to CPU

    Default value: 0.